Bug 1122149 - Custom boot.properties cause serious issues
Summary: Custom boot.properties cause serious issues
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sbt
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Will Benton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 16:04 UTC by Andreas Osowski
Modified: 2015-06-29 21:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:41:37 UTC


Attachments (Terms of Use)

Description Andreas Osowski 2014-07-22 16:04:47 UTC
Description of problem:
Running sbt projects with sbt installed from Fedora's repository causes various issues with different projects. From classpath issues to ivy2 issues to ...

Also see https://github.com/scalatest/scalatest/issues/248 for some examples.

Fix: remove Fedora sbt and install sbt as per http://www.scala-sbt.org/release/tutorial/Manual-Installation.html 
Prior to Fedora providing a custom ivy root etc. (I last tested on fc17) the Fedora-provided sbt worked just fine AFAIR.


Version-Release number of selected component (if applicable):
only tested on 0.13.1-5.fc20

How reproducible:


Steps to Reproduce:
1. git clone https://github.com/miguno/kafka-storm-starter
2. cd kafka-storm-starter
3. sbt test
(4. disable forking or stop NetworkManager ... which somehow seems to fix the issue)
Actual results:
[error] Uncaught exception when running tests: java.net.NoRouteToHostException: No route to host
sbt.ForkMain$ForkError: No route to host

Expected results:
tests run

Additional info:

Comment 1 Will Benton 2015-04-22 21:42:31 UTC
There was no "Fedora-provided sbt" before F20; you were probably using a Typesafe-provided RPM.  As you've noticed, the Fedora-provided sbt prioritizes working with locally-installed and RPM-managed artifacts.  I'm interested in finding a solution to allow Fedora's sbt to work more as you might expect for day-to-day development (but continue to work against locally-installed artifacts, which is necessary for building Fedora packages with sbt).

Comment 2 Fedora End Of Life 2015-05-29 12:26:25 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:41:37 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.